/* GUI Header */

#ifndef HEADER_GUI_H
#define HEADER_GUI_H

// default video resolution
#define VIDWIDTH 640
#define VIDHEIGHT 275

#define VDUPOSX   0
#define VDUPOSY   0

int gui_init (void);
int gui_deinit (void);
int gui_reset (void);

void gui_blitsurface (SDL_Surface *src);
int gui_videochange (int w, int h);

int gui_toggledisplay (void);
int gui_message_box (int buttons, char *s);

int gui_ask_exit_emulator (void);
int gui_ask_reset_emulator (void);

void gui_mousebuttondown_event (void);
void gui_mousebutton_up_event (void);

inline void putpixel (SDL_Surface *surf, int x, int y, Uint32 col);
void gui_redraw (void);

#define BUTTON_OK 1
#define BUTTON_OKCANCEL 2

#define BUTTON_IDOK 1
#define BUTTON_IDCANCEL 2

#endif /* HEADER_GUI_H */
