/* PAKNET Header */

#ifndef HEADER_PAKNET_H
#define HEADER_PAKNET_H

#include "mz80.h"

#define PAK_ADDR 0xc000
#define NET_ADDR 0xe000

typedef struct romfix_t
   {
    int ofs;
    int bad;
    int good;
   }romfix_t; 

int paknet_init (void);
int paknet_deinit (void);
int paknet_reset (void);

UINT16 paknet_nsel_r (UINT16 port, struct z80PortRead *port_s);
void paknet_psel_w (UINT16 port, UINT8 data, struct z80PortWrite *port_s);

#endif     /* HEADER_PAKNET_H */
