/* Sound Header */

#ifndef HEADER_SOUND_H
#define HEADER_SOUND_H

#include "mz80.h"

int sound_init (void);
int sound_deinit (void);
int sound_reset (void);
void sound_unsilence (void);
void sound_clock (int xtal, int method);
void sound_w (UINT8 data);

#define SOUND_PROP 0
#define SOUND_3375 1

#endif     /* HEADER_SOUND_H */
